<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecyrity5">
<head>
    <meta charset="UTF-8">
    <title>Contact information</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <h1>User contact information</h1>
</div>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <table class="table">
        <thead>
        <tr>
            <th scope="col">Name</th>
            <th scope="col">Phone</th>
            <th scope="col">Email</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td th:text="${user.name}"></td>
            <td th:text="${user.phone}"></td>
            <td th:text="${user.email}"></td>
        </tr>
        </tbody>
    </table>
</div>
<div sec:authorize="hasRole('SERVICE')" class="container width-80 d-flex justify-content-between align-items-center ">
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#nameModal">
        Change name
    </button>
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#phoneModal">
        Change phone
    </button>
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#passwordModal">
        Change password
    </button>
</div>

<div class="modal fade" id="nameModal" aria-labelledby="nameModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="nameModalLabel">Change name</h5>
            </div>
            <div class="modal-body">
                <form role="form" th:method="POST" th:action="@{'/user/'+ ${user.id}}" th:object="${userDto}">
                    <div class="form-group">
                        <label for="recipient-name" class="col-form-label">New name</label>
                        <input type="text" th:value=${userDto.name} th:field=*{name} class="form-control"
                               id="recipient-name">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<div class="modal fade" id="phoneModal" aria-labelledby="phoneModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="phoneModalLabel">Change name</h5>
            </div>
            <div class="modal-body">
                <form role="form" th:method="POST" th:action="@{'/user/'+ ${user.id}}" th:object="${userDto}">
                    <div class="form-group">
                        <label for="recipient-phone" class="col-form-label">New phone</label>
                        <input type="text" th:value=${userDto.phone} th:field=*{phone} class="form-control"
                               id="recipient-phone">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<div class="modal fade" id="passwordModal" aria-labelledby="passwordModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="passwordModalLabel">Change password</h5>
            </div>
            <div class="modal-body">
                <form role="form" th:method="POST" th:action="@{'/user/'+ ${user.id}}" th:object="${userDto}">
                    <div class="form-group">
                        <label for="recipient-password" class="col-form-label">New password</label>
                        <input type="password" th:value=${userDto.password} th:field=*{name} class="form-control"
                               id="recipient-password">
                    </div>
                    <div class="container-fluid d-flex justify-content-center align-items-center">
                        <button type="submit" class="btn btn-primary btn-block">Save</button>
                    </div>
                    <div class="container-fluid d-flex justify-content-center align-items-center pt-1">
                        <button type="button" class="btn btn-secondary btn-block" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
</html>